import { useEffect } from 'react';

const useNoScroll = (state: boolean[]) => {
  useEffect(() => {
    if (state.some(item => item)) {
      document.body.classList.add('no_scroll');
    } else {
      document.body.classList.remove('no_scroll');
    }
  }, [...state]);
};

export default useNoScroll;
